### Method

# FwupdPlugin Firmware build_from_filename

#### Declaration [src]

    gboolean
    fu_firmware_build_from_filename (
      FuFirmware* self,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Builds a firmware from an XML manifest.

Available since: | 2.0.0

#### Parameters

`filename` | `const gchar*`
| Filename of XML builder.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.